# OpalMediaFlowControl Class Reference

`#include <mediacmd.h>`

Inheritance diagram for OpalMediaFlowControl:

[legend]
Collaboration diagram for OpalMediaFlowControl:
[legend]

## Public Member Functions

| OpalMediaFlowControl (unsigned maxBitRate)
virtual PString | GetName () const
unsigned | GetMaxBitRate () const

## Protected Attributes

unsigned | m_maxBitRate

## Detailed Description

This indicates that the media flow (bit rate) is to be adjsuted.

## Constructor & Destructor Documentation

OpalMediaFlowControl::OpalMediaFlowControl | ( | unsigned | maxBitRate | ) | `[inline]`

## Member Function Documentation

unsigned OpalMediaFlowControl::GetMaxBitRate | ( |  | ) | const`[inline]`

virtual PString OpalMediaFlowControl::GetName | ( |  | ) | const`[virtual]`

Get the name of the command.

Implements OpalMediaCommand.

## Field Documentation

unsigned OpalMediaFlowControl::m_maxBitRate `[protected]`

The documentation for this class was generated from the following file:

- mediacmd.h